Bug 209543 - [NEW PORT] net-im/ring-libclient: Ring VoIP SIP softphone and IM (client library)
Summary: [NEW PORT] net-im/ring-libclient: Ring VoIP SIP softphone and IM (client libr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch
Depends on: 209542
Blocks: 209544
  Show dependency treegraph
 
Reported: 2016-05-16 08:38 UTC by Yuri Victorovich
Modified: 2016-05-29 04:50 UTC (History)
1 user (show)

See Also:


Attachments
shar archive (10.53 KB, text/plain)
2016-05-16 08:38 UTC, Yuri Victorovich
no flags Details
shar archive (10.57 KB, text/plain)
2016-05-17 00:40 UTC, Yuri Victorovich
no flags Details
shar archive (10.63 KB, text/plain)
2016-05-28 03:10 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-05-16 08:38:50 UTC
Created attachment 170346 [details]
shar archive

https://ring.cx/
Comment 1 Yuri Victorovich freebsd_committer 2016-05-17 00:40:44 UTC
Created attachment 170382 [details]
shar archive
Comment 2 Yuri Victorovich freebsd_committer 2016-05-28 03:10:31 UTC
Created attachment 170741 [details]
shar archive

Update
Comment 3 Kurt Jaeger freebsd_committer 2016-05-29 03:59:55 UTC
testbuilds@work
Comment 4 Kurt Jaeger freebsd_committer 2016-05-29 04:11:06 UTC
(In reply to Kurt Jaeger from comment #3)
time_t issue...
Comment 5 Kurt Jaeger freebsd_committer 2016-05-29 04:21:51 UTC
after a little sprinkling with #include <time.h>, back to testbuilds.
Comment 6 commit-hook freebsd_committer 2016-05-29 04:49:56 UTC
A commit references this bug:

Author: pi
Date: Sun May 29 04:49:45 UTC 2016
New revision: 416086
URL: https://svnweb.freebsd.org/changeset/ports/416086

Log:
  New port: net-im/ring-libclient

  Ring is a secure and distributed voice, video and chat communication
  platform that requires no centralized server and leaves the power
  of privacy in the hands of the user.

  WWW: https://ring.cx/

  PR:		209543
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>

Changes:
  head/net-im/Makefile
  head/net-im/ring-libclient/
  head/net-im/ring-libclient/Makefile
  head/net-im/ring-libclient/distinfo
  head/net-im/ring-libclient/files/
  head/net-im/ring-libclient/files/patch-CMakeLists.txt
  head/net-im/ring-libclient/files/patch-src_account.h
  head/net-im/ring-libclient/files/patch-src_localringtonecollection.cpp
  head/net-im/ring-libclient/files/patch-src_phonedirectorymodel.h
  head/net-im/ring-libclient/files/patch-src_private_textrecording__p.h
  head/net-im/ring-libclient/files/patch-src_trustrequest.h
  head/net-im/ring-libclient/pkg-descr
  head/net-im/ring-libclient/pkg-plist
Comment 7 Kurt Jaeger freebsd_committer 2016-05-29 04:50:11 UTC
Committed, with minor changes. Thanks!